DynamicMapEntityTuplizer.BasicEntityNameResolver (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple.entity
Class DynamicMapEntityTuplizer.BasicEntityNameResolver

    java.lang.Object
      org.hibernate.tuple.entity.DynamicMapEntityTuplizer.BasicEntityNameResolver

All Implemented Interfaces:
  EntityNameResolver

Enclosing class:
  DynamicMapEntityTuplizer

    public static class DynamicMapEntityTuplizer.BasicEntityNameResolver

extends Object
implements EntityNameResolver

Field Summary
`static DynamicMapEntityTuplizer.BasicEntityNameResolver` | `INSTANCE`

Constructor Summary
`DynamicMapEntityTuplizer.BasicEntityNameResolver()`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `resolveEntityName(Object entity)` Given an entity instance, determine its entity-name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DynamicMapEntityTuplizer.BasicEntityNameResolver INSTANCE

Constructor Detail

### DynamicMapEntityTuplizer.BasicEntityNameResolver

    public DynamicMapEntityTuplizer.BasicEntityNameResolver()

Method Detail

### resolveEntityName

    public String resolveEntityName(Object entity)

  Given an entity instance, determine its entity-name.

  Specified by:
    `resolveEntityName` in interface `EntityNameResolver`
  Parameters:
    `entity` - The entity instance.
  Returns:
    The corresponding entity-name, or null if this impl does not know how to perform resolution for the given entity instance.

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.